Home
last modified time | relevance | path

Searched +full:2 +full:ns (Results 1 – 25 of 1104) sorted by relevance

12345678910>>...45

/linux/tools/testing/selftests/net/forwarding/
H A Dfib_offload_lib.sh7 local ns=$1; shift
13 ip -n $ns -j -p -$family route show $route \
29 local ns=$1; shift
34 busywait 5000 __fib_trap_check $ns $family "$route" $should_fail
39 local ns=$1; shift
43 fib_trap_check $ns 4 "$route" $should_fail
48 local ns=$1; shift
52 fib_trap_check $ns 6 "$route" $should_fail
57 local ns=$1; shift
63 ip -n $ns link add name dummy$i type dummy
[all …]
/linux/tools/testing/selftests/net/
H A Dxfrm_policy.sh31 local ns=$1
32 local me=$2
38 …ip -net $ns xfrm policy add src $lnet dst $rnet dir out tmpl src $me dst $remote proto esp mode tu…
40 …ip -net $ns xfrm policy add src $rnet dst $lnet dir fwd tmpl src $remote dst $me proto esp mode tu…
44 local ns=$1
45 local me=$2
52 …ip -net $ns xfrm state add src $remote dst $me proto esp spi $spi_in enc aes $KEY_AES auth sha1 …
53 …ip -net $ns xfrm state add src $me dst $remote proto esp spi $spi_out enc aes $KEY_AES auth sha1 …
55 do_esp_policy $ns $me $remote $lnet $rnet
72 local ns=$1
[all …]
H A Dudpgro_fwd.sh7 readonly BASE="ns-$(mktemp -u XXXXXX)"
8 readonly SRC=2
24 local ns
26 [ -n "${jobs}" ] && kill -1 ${jobs} 2>/dev/null
28 for ns in $NS_SRC $NS_DST; do
29 ip netns del $ns 2>/dev/null
37 local ns
39 for ns in $NS_SRC $NS_DST; do
40 ip netns add $ns
41 ip -n $ns link set dev lo up
[all …]
H A Dnetdev-l2addr.sh14 cleanup_ns "$NS"
20 echo "ERROR: ${1:-unexpected return code} (ret: $_)" >&2
27 local dev="$2"
28 local ns="$3"
30 ip -j -n "$ns" link show dev "$dev" | jq -er ".[0].$type"
33 setup_ns NS
35 nsim=$(create_netdevsim $NSIM_ADDR "$NS")
37 get_addr address "$nsim" "$NS" >/dev/null || fail "Couldn't get ether addr"
38 get_addr broadcast "$nsim" "$NS" >/dev/null || fail "Couldn't get brd addr"
39 get_addr permaddr "$nsim" "$NS" >/dev/null && fail "Found perm_addr without setting it"
[all …]
H A Dtest_bridge_neigh_suppress.sh7 # ARP/NS messages from the first host are suppressed on the VXLAN port when
15 # | | 2001:db8:1::1/64 | | | 2001:db8:1::2/64 |
19 # | \ | 2001:db8:2::1/64 | | \ | 2001:db8:2::2/64 |
70 local expected=$2
106 local stderr="2>/dev/null"
124 local ns=$1; shift
131 pkts=$(tc -n $ns -j -s filter show $id \
142 local ns
[all...]
H A Dnetns-name.sh16 cleanup_ns $NS $test_ns
22 echo "ERROR: ${1:-unexpected return code} (ret: $_)" >&2
26 setup_ns NS test_ns
33 nsim=$(create_netdevsim $NSIM_ADDR $NS)
34 ip -netns $NS link set dev $nsim netns $test_ns ||
44 ip -netns $NS link add name $DEV type dummy || fail
45 ip -netns $NS link set dev $DEV netns $test_ns 2> /dev/null &&
48 ip -netns $NS link del $DEV || fail
55 ip -netns $NS link add name $DEV type dummy || fail
56 ip -netns $NS link set dev $DEV netns $test_ns name $DEV2 ||
[all …]
H A Dlib.sh20 ksft_xfail=2
145 if ! which $prog_name >/dev/null 2>/dev/null; then
157 local ns
161 for ns in "${ns_list[@]}"; do
162 if [ "${ns}" != "${item}" ]; then
163 NS_LIST+=("${ns}")
170 local ns=""
173 for ns in "$@"; do
174 [ -z "${ns}" ] && continue
175 ip netns pids "${ns}" 2> /dev/null | xargs -r kill || true
[all …]
/linux/tools/testing/selftests/net/netfilter/
H A Dconntrack_resize.sh56 local ns="$1"
57 local count="$2"
62 ip netns exec "$ns" bash -c "for i in \$(seq 1 $bulk); do \
68 done ; wait" 2>/dev/null
75 local ns="$1"
76 local count="$2"
79 local now=$(ip netns exec "$ns" conntrack -C)
82 echo "expected $count entries in $ns, not $now: $msg"
109 local ns="$1"
111 ip netns exec "$ns" conntrack -F 2>/dev/null
[all …]
H A Dconntrack_clash.sh27 …meta l4proto udp dnat to numgen random mod 3 map { 0 : 10.0.2.1 . 9000, 1 : 10.0.2.1 . 9001, 2 : 1…
59 local ns="$1"
63 ip netns exec "$ns" socat UDP-RECVFROM:$port,fork PIPE 2>/dev/null &
67 wait_local_port_listen "$ns" $port udp
73 local ns="$1"
74 local dev="$2"
78 ip -net "$ns" link set "$dev" up
79 ip -net "$ns" addr add "10.0.$i.$j/24" dev "$dev"
84 local ns="$1"
85 local daddr="$2"
[all …]
/linux/tools/testing/selftests/net/mptcp/
H A Ddiag.sh11 ns=""
13 timeout_test=$((timeout_poll * 2 + 1))
22 ip netns pids "${ns}" | xargs --no-run-if-empty kill -SIGUSR1 &>/dev/null
25 [ -z "$(ip netns pids "${ns}")" ] && break
34 ip netns pids "${ns}" | xargs --no-run-if-empty kill -SIGKILL &>/dev/null
36 mptcp_lib_ns_exit "${ns}"
44 ip netns exec $ns cat /proc/net/protocols | awk '$1~/^MPTCP$/{print $3}'
50 local expected=$2
78 __chk_nr "ss -inmHMN $ns | $condition" "$@"
89 local msg="$2"
[all …]
H A Dmptcp_lib.sh15 declare -rx MPTCP_LIB_EVENT_ESTABLISHED=2 # MPTCP_EVENT_ESTABLISHED
25 declare -rx MPTCP_LIB_AF_INET=2
62 # $1: color, $2: text
110 local ns="${1}"
111 local hist="/tmp/${ns}.out"
114 awk '$2 != 0 { print " "$0 }' "${hist}"
116 ip netns exec "${ns}" nstat -as | grep Tcp
120 # $1-2: listener/connector ns ; $3 port
123 local cns="${2}"
135 } 1>&2
[all …]
/linux/tools/testing/selftests/vsock/
H A Dvmtest.sh98 …"Check QEMU successfully starts one VM in a global ns and then another VM in a local ns with the s…
101 …"Check QEMU successfully starts one VM in a local ns and then another VM in a global ns with the s…
104 "Run vsock_test client in global ns with server in VM in another global ns."
107 "Run socat to test a process in a global ns fails to connect to a VM in a local ns."
110 "Run vsock_test client in VM in a global ns with server in another global ns."
113 "Run socat to test a VM in a global ns fails to connect to a host process in a local ns."
116 "Run socat to test a host process in a local ns fails to connect to a VM in another local ns."
119 "Run socat to test a VM in a local ns fails to connect to a host process in another local ns."
122 "Run socat to test a loopback vsock in a global ns fails to connect to a vsock in a local ns."
125 "Run socat to test a loopback vsock in a local ns fails to connect to a vsock in a global ns."
[all …]
/linux/drivers/mtd/nand/raw/
H A Dnandsim.c9 * Note: NS means "NAND Simulator".
55 #define CONFIG_NANDSIM_ERASE_DELAY 2
102 [2] = CONFIG_NANDSIM_THIRD_ID_BYTE,
110 module_param_named(third_id_byte, id_bytes[2], byte, 0400);
150 " separated by commas e.g. 113:2 means eb 113"
153 " separated by commas e.g. 1401:2 means page 1401"
157 " separated by commas e.g. 1401:2 means page 1401"
163 MODULE_PARM_DESC(bbt, "0 OOB, 1 BBT with marker in OOB, 2 BBT with marker in data area");
189 #define NS_IS_INITIALIZED(ns) ((ns)->geom.totsz != 0) argument
192 #define NS_STATUS_OK(ns) (NAND_STATUS_READY | (NAND_STATUS_WP * ((ns)->lines.wp == 0))) argument
[all …]
/linux/tools/testing/selftests/bpf/
H A Dtest_xdp_redirect_multi.sh
H A Dtest_xdp_features.sh4 readonly NS="ns1-$(mktemp -u XXXXXX)"
14 ip netns add ${NS}
16 ip link add v1 type veth peer name v0 netns ${NS}
21 ip -n ${NS} link set dev v0 up
22 ip -n ${NS} addr add $V0_IP4/24 dev v0
23 ip -n ${NS} addr add $V0_IP6/64 nodad dev v0
28 ip netns exec ${NS} ethtool -K v0 gro on
29 ip netns exec ${NS} ethtool -K v0 tx-checksumming off
30 } > /dev/null 2>&1
34 ip link del v1 2> /dev/null
[all …]
/linux/tools/testing/selftests/drivers/net/mlxsw/
H A Dfib.sh96 local ns="testns1"
100 ip -n $ns link add name dummy1 type dummy
101 ip -n $ns link set dev dummy1 up
103 ip -n $ns route add table local 192.0.2.1/32 dev dummy1
104 fib4_trap_check $ns "table local 192.0.2.1/32 dev dummy1" false
107 ip -n $ns route add table main 192.0.2.1/32 dev dummy1
108 fib4_trap_check $ns "table main 192.0.2.1/32 dev dummy1" true
111 fib4_trap_check $ns "table local 192.0.2.1/32 dev dummy1" false
115 ip -n $ns route add table main 192.0.2.2/32 dev dummy1
116 fib4_trap_check $ns "table main 192.0.2.2/32 dev dummy1" false
[all …]
/linux/security/apparmor/
H A Dpolicy_ns.c57 * aa_ns_name - Find the ns name to display for @view from @curr
71 /* at this point if a ns is visible it is in a view ns in aa_ns_name()
72 * thus the curr ns.hname is a prefix of its name. in aa_ns_name()
74 * Add + 2 to skip over // separating curr hname prefix in aa_ns_name()
77 return view->base.hname + strlen(curr->base.hname) + 2; in aa_ns_name()
107 struct aa_ns *ns; in alloc_ns() local
109 ns = kzalloc_obj(*ns); in alloc_ns()
110 AA_DEBUG(DEBUG_POLICY, "%s(%p)\n", __func__, ns); in alloc_ns()
111 if (!ns) in alloc_ns()
113 if (!aa_policy_init(&ns->base, prefix, name, GFP_KERNEL)) in alloc_ns()
[all …]
/linux/arch/arm/boot/dts/ti/omap/
H A Domap-zoom-common.dtsi20 bank-width = <2>;
32 gpmc,cs-on-ns = <5>;
33 gpmc,cs-rd-off-ns = <155>;
34 gpmc,cs-wr-off-ns = <155>;
35 gpmc,adv-on-ns = <15>;
36 gpmc,adv-rd-off-ns = <40>;
37 gpmc,adv-wr-off-ns = <40>;
38 gpmc,oe-on-ns = <45>;
39 gpmc,oe-off-ns = <145>;
40 gpmc,we-on-ns = <45>;
[all …]
H A Domap2420-n8x0-common.dtsi17 gpios = <&gpio3 2 GPIO_ACTIVE_HIGH /* gpio66 clk */
62 gpmc,device-width = <2>;
63 gpmc,mux-add-data = <2>;
64 gpmc,cs-on-ns = <0>;
65 gpmc,cs-rd-off-ns = <127>;
66 gpmc,cs-wr-off-ns = <109>;
67 gpmc,adv-on-ns = <0>;
68 gpmc,adv-rd-off-ns = <18>;
69 gpmc,adv-wr-off-ns = <18>;
70 gpmc,oe-on-ns = <27>;
[all …]
H A Dam335x-nano.dts225 #gpio-cells = <2>;
257 gpmc,num-waitpins = <2>;
261 #address-cells = <2>;
270 bank-width = <2>;
272 gpmc,mux-add-data = <2>;
275 gpmc,cs-on-ns = <0>;
276 gpmc,cs-rd-off-ns = <160>;
277 gpmc,cs-wr-off-ns = <160>;
278 gpmc,adv-on-ns = <10>;
279 gpmc,adv-rd-off-ns = <30>;
[all …]
/linux/Documentation/devicetree/bindings/memory-controllers/
H A Dti-aemif.txt24 - #address-cells: Must be 2. The partition number has to be encoded in the
62 - #address-cells: Must be 2.
77 "ti,da850-aemif" range is [2-5].
95 - ti,cs-min-turnaround-ns: minimum turn around time, ns
102 - ti,cs-read-setup-ns: read setup width, ns
107 - ti,cs-read-strobe-ns: read strobe width, ns
112 - ti,cs-read-hold-ns: read hold width, ns
119 - ti,cs-write-setup-ns: write setup width, ns
124 - ti,cs-write-strobe-ns: write strobe width, ns
129 - ti,cs-write-hold-ns: write hold width, ns
[all …]
H A Dti,gpmc-child.yaml1 # SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
29 gpmc,cs-on-ns:
33 gpmc,cs-rd-off-ns:
37 gpmc,cs-wr-off-ns:
42 gpmc,adv-on-ns:
46 gpmc,adv-rd-off-ns:
50 gpmc,adv-wr-off-ns:
54 gpmc,adv-aad-mux-on-ns:
58 gpmc,adv-aad-mux-rd-off-ns:
62 gpmc,adv-aad-mux-wr-off-ns:
[all …]
/linux/kernel/
H A Dnscommon.c11 static void ns_debug(struct ns_common *ns, const struct proc_ns_operations *ops) in ns_debug() argument
13 switch (ns->ns_type) { in ns_debug()
56 int __ns_common_init(struct ns_common *ns, u32 ns_type, const struct proc_ns_operations *ops, int i… in __ns_common_init() argument
60 refcount_set(&ns->__ns_ref, 1); in __ns_common_init()
61 ns->stashed = NULL; in __ns_common_init()
62 ns->ops = ops; in __ns_common_init()
63 ns->ns_id = 0; in __ns_common_init()
64 ns->ns_type = ns_type; in __ns_common_init()
65 ns_tree_node_init(&ns->ns_tree_node); in __ns_common_init()
66 ns_tree_node_init(&ns->ns_unified_node); in __ns_common_init()
[all …]
/linux/arch/arm/boot/dts/samsung/
H A Dexynos4412.dtsi50 #cooling-cells = <2>; /* min followed by max */
60 #cooling-cells = <2>; /* min followed by max */
70 #cooling-cells = <2>; /* min followed by max */
80 #cooling-cells = <2>; /* min followed by max */
91 clock-latency-ns = <200000>;
96 clock-latency-ns = <200000>;
101 clock-latency-ns = <200000>;
106 clock-latency-ns = <200000>;
111 clock-latency-ns = <200000>;
116 clock-latency-ns = <200000>;
[all …]
/linux/tools/testing/selftests/bpf/prog_tests/
H A Dlwt_seg6local.c4 * Each NS may have different IPv6 global scope addresses :
14 * fd00::1 -> fd00::2 -> fd00::3 -> fd00::4
18 * - fd00::2 : remove the TLV, change the flags, add a tag
37 int ns; in cleanup() local
39 for (ns = 1; ns < 7; ns++) in cleanup()
40 SYS_NOFAIL("ip netns del %s%d", NETNS_BASE, ns); in cleanup()
45 int ns; in setup() local
47 for (ns = 1; ns < 7; ns++) in setup()
48 SYS(fail, "ip netns add %s%d", NETNS_BASE, ns); in setup()
52 for (ns = 1; ns < 6; ns++) { in setup()
[all …]

12345678910>>...45